<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
//echo "<br> Sistema lab. de solos";
$categoria[1]="C1";
$categoria[2]="C2";
$categoria[3]="S1";
$categoria[4]="S2";
$categoria[5]="BASICA";
$categoria[6]="GENETICA";
$limiteCategorias=sizeof($categoria);

//cria o vetor dete
$vetorDete[1]="PMS";
$vetorDete[2]="PM1";
$vetorDete[3]="TZO";
$vetorDete[4]="DTU";
$vetorDete[5]="INF";
$vetorDete[6]="NIL";
$contadorDetes=sizeof($vetorDete);


$objetocalculo=new calculos();
$sessao = new sessao();
$cliente=$sessao->getVar('cliente');
$nivel=$sessao->getVar('nivel');
//$nivel="MASTER";
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
//echo("Operador: $nomeOperador idlabo=$idLabo tela=$tela<br>");
$legendaGeral="Registro de amostra(Incluir,alterar,excluir,localizar)  Operador:".$nomeOperador;
//vai capturar a ida da ultima amostrs 
//quando ele entrar aqui ele ja vai ler o numero da amostra a partir de uma session 
//vai ter um modulo perfeito onde ele vai selecionar amostra
//prieira ultima segunte anterior, aleatoria ao localizar vai voltar para o edit trazendo o numero da amostra na session 


switch ($tela):
    case 'listaGeral':
            //aqui vai capturar a id da especie , vai ver se ja esta habilitada e se nao estiver vai habilitar E ja vai para a listaespecie 
           //$atualizarLista="SIM";
	       if (get('esp_id_deletar') !== ""):
		        //$atualizarLista="NAO";
                $vaiExcluir="SIM";
				
				
				if($nivel!='MASTER'):
				    printMSG('Esta operação so pode ser feita pelo programador!','erro');		 
                    $vaiExcluir="NAO";
				endif;
				
		        $espIDDeletar = get('esp_id_deletar');
				//echo("49 Aqui pega o esp_id $espIDDeletar <br>");
				//vai checar se tem fichas com esta especie
			    $generica=new tabelagenerica();
				$generica->tabela=" ficha,cultivar";
				$generica->extras_select ="  where  fic_cultivar=ctv_id and ctv_especie=".$espIDDeletar;
			    $generica->campos_valores = array(
					"fic_amostra" => NULL,
				);
				$generica->selecionaCampos($generica);
				$quantidadeAmostras=$generica->linhasafetadas;
                if($quantidadeAmostras>0):
				    printMSG('Existem amostras desta especie!','erro');		 
                    $vaiExcluir="NAO";
				endif;

            //Aqui finaliza excluindo ou nao, dependendo da variavele $vaiExcluir   
            if(($vaiExcluir=="SIM")):     			
				printMSG('Vai excluir!','aviso');		 
                //aqui deleta as cultivares desta especie  
			    $generica=new tabelagenerica();
	            $sql=" delete from cultivar where ctv_especie=".$espIDDeletar; 
		        $userNota = new generica();
		        $userNota->campos_valores = $sql;				 
			    $userNota->inserirEspecial($userNota);	


                //aqui deleta a especie  
			    $generica=new tabelagenerica();
	            $sql=" delete from especies where esp_id=".$espIDDeletar; 
		        $userNota = new generica();
		        $userNota->campos_valores = $sql;				 
			    $userNota->inserirEspecial($userNota);	

   		    else:
				printMSG('Não pode excluir!','erro');		 
			endif;//fim do teste se vai escluir	
          endif;//fim do teste do isset para deletar			




			
	        if (get('esp_id') !== ""):
                $idEspecie = get('esp_id');
				//echo("91aqui pega o esp_id $esp_id <br>");
                $sessao->setVar('idespecie',$idEspecie);
				//$idEspecie=$sessao->getVar("idespecie");
               // echo("kkkkkkkkkkkkkkkkkkkkkkleu sesso $idEspecie <br>"); 
								
                //examina se tem o registro de especie ja habilitada
                $user = new tabelagenerica();
				$user->tabela="habilitaespecie";
				$user->campos_valores = array(
						"hae_cod_labo" => NULL,
					);
				$user->extras_select =" where  hae_id_labo=".$idLabo." and hae_cod_especie=".$idEspecie;
                $user->selecionaTudo($user);
                $conta=0;
                while ($res = $user->retornaDados()):
                    $conta++;
                endwhile;                
                if($conta==0):
					//vai gravar na tabela habilitaespecie
					$sql="insert into habilitaespecie(hae_id_labo,hae_cod_especie) values($idLabo,$idEspecie)";
					$generica=new tabelagenerica();
			        $generica->grava_registro_com_retorno($sql);
					printMSG('Inseriu especie na coleção de habilitadas. Clique em LISTA DE HABILITADAS se quiser ver todas já habilitadas.');
                else:
					printMSG('Esta especie já estava na coleção.');
                endif;//fecha o endif que grava				 				
			endif;//fecha o isset da recepcao de id	


        //if($atualizarLista=='SIM'):
        echo '<h2>Lista geral de especies</h2>';
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "400px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                   <th>Espécie</th><th>Selecionar</th><th>Nome científico</th><th>Deletar</th>
                </tr>
            </thead>
            <tbody>
                <?php 
                $user = new tabelagenerica();
				$user->tabela="especies";
				$user->campos_valores = array(
						"esp_nome" => NULL,
						"esp_nome_cientifico" => NULL,
						"esp_id" => NULL,
					);
				$user->extras_select = "  order by esp_nome limit 700";
                $user->selecionaTudo($user);
                while ($res = $user->retornaDados()):
                    echo '<tr>';
                    printf('<td>%s</td>',$res->esp_nome);
					printf('<td class="center">
					<a href="?m=habilitaespecie&t=listaGeral&esp_id=%s" title="Selecionar"><img src="images/edit.png" alt="Selecionar" /></a>
					</td>',$res->esp_id);
                    printf('<td>%s</td>',$res->esp_nome_cientifico);

					printf('<td class="center">
					<a href="?m=habilitaespecie&t=listaGeral&esp_id_deletar=%s" title="Deletar"><img src="images/delete.png" alt="Deletar" /></a>
					</td>',$res->esp_id);



                    echo '</tr>';
                endwhile; 
				//endif;//pergunta se é para refrescar lista               
                ?>
            </tbody>
        </table>
        <li class="center">
		<input type="button" onclick="location.href='?m=habilitaespecie&t=listaEspecies'" value="Lista de especies habilitadas" />
		</li>

        <?php        
    break;
	
	case 'alteraralgunsdados':
        //echo("esta em alteracao de dados");
		if (post('cadastrarespecie') !== ""):
          $idEspecie=post('idespecie');
	      $minimoPureza=post('minimoPureza');
	      $amostraMedia=post('amostraMedia');
	      $minimoDOSN=post('minimoDOSN');
	      $minimoOCV=post('minimoOCV');
	      $minimoNocivas=post('minimoNocivas');
	      $minimoPraga=post('minimoPraga');
	      $ensaiosAnalise=post('ensaiosAnalise');
	      $ensaiosReanalise=post('ensaiosReanalise');
	      $grupopreco=post('grupopreco');
		  $duracaoGer=post('duracaoGer');
		  $intervaloLei1Lei2=post('intervaloLei1Lei2');
		  $duracaoSuperacao=post('duracaoSuperacao');
	      $grupo2=post('grupo2');
	      $grupo2RAS=post('grupo2RAS');
	      $validade=post('validade');
	      $sigla1=post('sigla1');
	      $cabL1C1=post('cabL1C1');
          


		  // echo("aqui vai gravarzzzzzzzzzzzzzzidespeci=$$idEspecie<br>");
          //aqui vai gravar
		  	//aqui vai salvar na tabela de tratementofrequente  especifica do cliente
		    $tratamento=post('tratamento');
            $temperatura=post('temperatura');
            $substrato=post('substrato');
		    $germinador="-";
     		$sql="update tratamentofrequente set tfg_tratamento='$tratamento', tfg_temperatura='$temperatura' , tfg_substrato='$substrato'  where tfg_labo=".$idLabo." and tfg_cultura=".$idEspecie;
			 
			 //echo("xxxxxxsql= $sql; <br>");
			 
			 //echo("sql de gravacao= $sql  tratamento=$tratamento<br>");
			 $userDoc = new generica();
			 $userDoc->campos_valores = $sql;				 
			 $userDoc->inserirEspecial($userDoc);
		  
		  //eu nao quero liberar para o cliente mexer no nome cientifico da especie
          //entao eu digito na emergencia,ponho na nuvel, vou la na especie e  atualizo o nome e depois eu volto aqui retiro a linha que edita(cuidado com isso)) 
		  //e recoloco na nuvem. de preferencia fazer isso de madrugada e outro dua com calma fazer um form que so entra com a senha minha
		  //que é esta: 'esp_nome_cientifico'=>$emergencia,
		  $emergencia="Brassica rapa L. subsp. pekinensis (Lour.) Hanelt";//isso aqui eu posso ate deixar...
		  
          $user = new especies(array(
                    'esp_min_pureza'=>post('minimoPureza'),
                    'esp_amostra_media'=>post('amostraMedia'),
                    'esp_min_dosn'=>post('minimoDOSN'),
                    'esp_min_ocv'=>post('minimoOCV'),
                    'esp_min_nocivas'=>post('minimoNocivas'),
                    'esp_min_praga'=>post('minimoPraga'),
                    'esp_ensaios_analise'=>post('ensaiosAnalise'),
                    'esp_ensaios_reanalise'=>post('ensaiosReanalise'),
                    'esp_grupo2011'=>post('grupo2'),
                    'esp_tipo'=>post('grupo2RAS'),
                    'esp_grupo_preco'=>strtoupper(post('grupopreco' ?? "")),
					'esp_duracao'=>strtoupper(post('duracaoGer' ?? "")),
					'esp_intervalo_lei1_lei2'=>post('intervaloLei1Lei2'),
					'esp_duracao_superacao'=>post('duracaoSuperacao'),
                    'esp_temp'=>strtoupper(post('temperatura' ?? "")),
                    'esp_validade'=>post('validade'),
                    'esp_nome'=>post('nomeComum'),
                    'esp_nome_cientifico'=>post('nomeCientifico'),
                    'esp_substrato'  =>post('substrato'),
                    'esp_sigla_det1' =>post('sigla1'),
                    'esp_sigla_det2' =>post('sigla2'),
                    'esp_sigla_det3' =>post('sigla3'),
                    'esp_sigla_det4' =>post('sigla4'),

                    'esp_titulo_L1C1'=>post('tituloL1C1'),
                    'esp_titulo_L1C2'=>post('tituloL1C2'),
                    'esp_titulo_L1C3'=>post('tituloL1C3'),
                    'esp_titulo_L1C4'=>post('tituloL1C4'),

                    'esp_titulo_L2C1'=>post('tituloL2C1'),
                    'esp_titulo_L2C2'=>post('tituloL2C2'),
                    'esp_titulo_L2C3'=>post('tituloL2C3'),
                    'esp_titulo_L2C4'=>post('tituloL2C4'),

                    'esp_titulo_L3C1'=>post('tituloL3C1'),
                    'esp_titulo_L3C2'=>post('tituloL3C2'),
                    'esp_titulo_L3C3'=>post('tituloL3C3'),
                    'esp_titulo_L3C4'=>post('tituloL3C4'),


                ));
            $user->valorpk = $idEspecie;
            $user->selecionaTudo($user);
            $res = $user->retornaDados();
            $user->atualizar($user);
            if ($user->linhasafetadas==1):
                printMSG('Dados alterados com sucesso(1). <a href="?m=habilitaespecie&t=listaespecies">Exibir cadastros</a>');
                unset($_POST);
            else:
                printMSG('Nenhum dado foi alterado. <a href="?m=habilitaespecie&t=listaespecies">Exibir cadastros</a>','alerta');
            endif;
        ////////////////////////////////////// 
        endif;
		
		
		
		
		
		
		if (post('tratamentoFrequente') !== ""):
           echo "tratamento especial";
           echo '<iframe src="boxTratamentoFrequente.php" style="border:5px dotted red" width="110%" height="180"></iframe>';	 //funciona  

		
		endif;
			
        if (get('esp_id') !== ""):
		
		
		
		
		
		
		
	        $idEspecie = get('esp_id');
			//echo("274aqui pega o esp_id $idEspecie <br>");
	        $sessao->setVar('idespecie',$idEspecie);
	        //captura dados da especie
			    $user = new especies();
				$user->extras_select = "where  esp_id=".$idEspecie ;
                $user->selecionaTudo($user);
                while ($res = $user->retornaDados()):
                    $nomeComum=$res->esp_nome;
                    $nomeCientifico=$res->esp_nome_cientifico;
                    $minimoPureza=$res->esp_min_pureza;
                    $amostraMedia=$res->esp_amostra_media;
                    $minimoDOSN=$res->esp_min_dosn;
                    $minimoPraga=$res->esp_min_praga;
                    $ensaiosAnalise=$res->esp_ensaios_analise;
                    $ensaiosReanalise=$res->esp_ensaios_reanalise;
                    $minimoNocivas=$res->esp_min_nocivas;
                    $minimoOCV=$res->esp_min_ocv;
            	    $grupo2=$res->esp_grupo2011;
					$grupo2RAS=$res->esp_tipo;
                    $duracaoGer=$res->esp_duracao;
                    $duracaoSuperacao=$res->esp_duracao_superacao;
                    $intervaloLei1Lei2=$res->esp_intervalo_lei1_lei2;
                    $grupopreco=$res->esp_grupo_preco;
                    //$tratamento=$res->esp_trat;
                    $temperatura=$res->esp_temp;
                    $substrato=$res->esp_substrato;
                    $validade=$res->esp_validade;
                    $sigla1=    $res->esp_sigla_det1;
                    $sigla2=    $res->esp_sigla_det2;
                    $sigla3=    $res->esp_sigla_det3;
                    $sigla4=    $res->esp_sigla_det4;

					$tituloL1C1=$res->esp_titulo_L1C1;
                    $tituloL1C2=$res->esp_titulo_L1C2;
                    $tituloL1C3=$res->esp_titulo_L1C3;
                    $tituloL1C4=$res->esp_titulo_L1C4;

					$tituloL2C1=$res->esp_titulo_L2C1;
                    $tituloL2C2=$res->esp_titulo_L2C2;
                    $tituloL2C3=$res->esp_titulo_L2C3;
                    $tituloL2C4=$res->esp_titulo_L2C4;


					$tituloL3C1=$res->esp_titulo_L3C1;
                    $tituloL3C2=$res->esp_titulo_L3C2;
                    $tituloL3C3=$res->esp_titulo_L3C3;
                    $tituloL3C4=$res->esp_titulo_L3C4;

					//echo("298Espécie: $nomeComum<br>");
					//echo("299 Científico: $nomeCientifico<br>");
                endwhile;      
			
           //aqui captura os dados de germinacao especificos do lab, para esta especie    
			   //ENTRA DE QUAKQUER MANEIRA
				//echo("308 idEspecie=$idEspecie <br>");
				$generica=new tabelagenerica();
				$generica->tabela="tratamentofrequente";
				$generica->campos_valores = array(
					   "tfg_tratamento" => NULL,
				);
				$generica->extras_select =" where tfg_labo=".$idLabo." and tfg_cultura=".$idEspecie;
				$generica->selecionaCampos($generica);
                $variosDocs='';
				$temRegistro="nao";
				while ($resgenerica= $generica->retornaDados()):
	               $tratamento=$resgenerica->tfg_tratamento;
				   $temRegistro='sim';
	            endwhile;      

                //se nao existe o registro ele cria um com alguns valores deful 
				if($temRegistro=="nao"):
				    $tratamento="-0-";
				    $substrato="RP";
				    $temperatura="25 a 28";
				    $germinador="-";;
				     //agora cria o registro na tbela  tratamentofrequente
					 $sql="insert into tratamentofrequente(tfg_labo,tfg_cultura,tfg_tratamento,tfg_substrato,tfg_temperatura,tfg_germinador)";
					 $sql.="values('$idLabo','$idEspecie','$tratamento','$substrato','$temperatura','$germinador')";
					 //echo("sql de gravacao= $codigo   sql=$sql<br>");
					 $userDoc = new generica();
					 $userDoc->campos_valores = $sql;				 
					 $userDoc->inserirEspecial($userDoc);
                endif;   
			   
		endif;//fecha o isset da recepcao de id	

 //aqui comeca a parte html############################
 ?>
 <h2>Edição de dados. Espécie: <?php echo $nomeComum;?></h2>
 <form class="userform" method="POST" action="">
 <fieldset>
 <legend>Informe os dados, depois clique salvar.</legend>
 <table width="1000">
 <tr>
 <td>Amostra média:</td><td><input type="text" size="3" name="amostraMedia"  value="<?php echo $amostraMedia; ?>" /></td>
 </tr>

 <tr>
 <td>Mínimo pureza:</td><td><input type="text" size="3" name="minimoPureza" autofocus="autofocus" value="<?php echo $minimoPureza; ?>" /></td>
 <td>Mínimo outras espe/silvestres:</td><td><input type="text" size="3" name="minimoDOSN"  value="<?php echo $minimoDOSN; ?>" /></td>
 <td bgcolor="#89f87c">Tratamento:</td><td><input type="text" size="15" name="tratamento" maxlength="60"  value="<?php echo $tratamento; ?>" /></td>
 </tr>

 <tr>	
 <td>Mínimo Nocivas:</td><td><input type="text" size="3" name="minimoNocivas"  value="<?php echo $minimoNocivas; ?>" /></td>
 <td>Mínimo OCV:</td><td><input type="text" size="3" name="minimoOCV"  value="<?php echo $minimoOCV; ?>" /></td>
 <td bgcolor="#89f87c">Temperatura:</td><td><input type="text" size="20" name="temperatura"  maxlength="20"  value="<?php echo $temperatura; ?>" /></td>
 </tr>    

 <tr>
 <td  bgcolor="#89f87c">Substrato:</td><td><input type="text" size="15" name="substrato"  maxlength="60"  value="<?php echo $substrato; ?>" /></td>
 <td>Validade(meses):</td><td><input type="text" size="1" name="validade" maxlength="2"  value="<?php echo $validade; ?>" />
 <td>  Grupo tab. preço<input type="text" size="1" name="grupopreco" maxlength="1"  value="<?php echo $grupopreco; ?>" /></td>
 
 </tr>
 
 <tr>
 <td>
 Duração superação<input type="text" size="1" name="duracaoSuperacao" maxlength="1"  value="<?php echo $duracaoSuperacao; ?>" />
 Duração GERM<input type="text" size="1" name="duracaoGer" maxlength="1"  value="<?php echo $duracaoGer; ?>" /></td>
 <td>Intervalo lei1_lei2<input type="text" size="1" name="intervaloLei1Lei2" maxlength="1"  value="<?php echo $intervaloLei1Lei2; ?>" />
 </td> </tr>
 
 
 
 </table>
 </fieldset>

 <fieldset>
 <legend>Calibração do DIFAC</legend>	
 <table  width="1000">
 <tr>
 <td>Ensaios(Na Análise):</td><td><input type="text" size="3" name="ensaiosAnalise"  value="<?php echo $ensaiosAnalise; ?>" /></td>
 <td>Ensaios(Na Renálise):</td><td><input type="text" size="1" name="ensaiosReanalise" maxlength="1"  value="<?php echo $ensaiosReanalise; ?>" /></td>
  <td>Observação: Considere PUREZA+DOSN+OUTRAS DETERMINAÇÕES(obrigatórias,previstas na RAS)</td>
 </tr>
 </table>
 </fieldset>
 
 <!--AQUI DEFINE AS COLUNAS DO BOLETIM-->
 <fieldset>
 <legend>Aqui define OUTRAS DETERMINAÇÕES no boletim.  (A sigla serve p/ "puxar" os dados. PM1 para IN45. Use NIL para anular coluna.)</legend>
 <table width="1000">
 <tr>
 <td>SIGLA</td> 
 <!--primeiro combo-->
 <td>
 <select name="sigla1" >  
 select<option><?php echo $sigla1 ?></option>
 <?php
 for($i=1;$i<=$contadorDetes;$i++)
 {
	 ?>
		<option><?php echo $vetorDete[$i]; ?></option>
	 <?php 	
 }   
 ?> 
 </select>
 </td>

 <!--segundo combo-->
 <td>
 <select name="sigla2" >  
 select<option><?php echo $sigla2 ?></option>
 <?php
 for($i=1;$i<=$contadorDetes;$i++)
 {
	 ?>
		<option><?php echo $vetorDete[$i]; ?></option>
	 <?php 	
 }   
 ?> 
 </select>
 </td>

 <!--terceiro combo-->
 <td>
 <select name="sigla3" >  
 select<option><?php echo $sigla3 ?></option>
 <?php
 for($i=1;$i<=$contadorDetes;$i++)
 {
	 ?>
		<option><?php echo $vetorDete[$i]; ?></option>
	 <?php 	
 }   
 ?> 
 </select>
 </td>

  <!--quarto combo-->
 <td>
 <select name="sigla4" >  
 select<option><?php echo $sigla4 ?></option>
 <?php
 for($i=1;$i<=$contadorDetes;$i++)
 {
	 ?>
		<option><?php echo $vetorDete[$i]; ?></option>
	 <?php 	
 }   
 ?> 
 </select>
 Bol Vertical apenas
 </td>

</tr>

 <tr>
 <td>Cabeçalho(Linha1)</td> 
 <td><input type="text" size="12"  maxlength="12" name="tituloL1C1"   value="<?php echo $tituloL1C1; ?>" /></td>
 <td><input type="text" size="12"  maxlength="12" name="tituloL1C2"   value="<?php echo $tituloL1C2; ?>" /></td>
 <td><input type="text" size="12"  maxlength="12" name="tituloL1C3"   value="<?php echo $tituloL1C3; ?>" /></td>
 <td><input type="text" size="12"  maxlength="12" name="tituloL1C4"   value="<?php echo $tituloL1C4; ?>" /></td>
 </tr>

 <tr>
 <td>Cabeçalho(Linha2)</td> 
 <td><input type="text" size="12"  maxlength="12" name="tituloL2C1"  value="<?php echo $tituloL2C1; ?>" /></td>
 <td><input type="text" size="12"  maxlength="12" name="tituloL2C2"  value="<?php echo $tituloL2C2; ?>" /></td>
 <td><input type="text" size="12"  maxlength="12" name="tituloL2C3"  value="<?php echo $tituloL2C3; ?>" /></td>
 <td><input type="text" size="12"  maxlength="12" name="tituloL2C4"  value="<?php echo $tituloL2C4; ?>" /></td>
 </tr>

 <tr>
 <td>Cabeçalho(Linha3)</td> 
 <td><input type="text" size="12" maxlength="12" name="tituloL3C1"  value="<?php echo $tituloL3C1; ?>" /></td>
 <td><input type="text" size="12" maxlength="12" name="tituloL3C2"  value="<?php echo $tituloL3C2; ?>" /></td>
 <td><input type="text" size="12" maxlength="12" name="tituloL3C3"  value="<?php echo $tituloL3C3; ?>" /></td>
 <td><input type="text" size="12" maxlength="12" name="tituloL3C4"  value="<?php echo $tituloL3C4; ?>" /></td>
 </tr>
 </table>
 </fieldset>

 <table  width="1000">		
 <tr>
 <td>
 Alterar nome(Muito Cuidado):
 Comum:<input type="text" size="30"  name="nomeComum"  maxlength="1100" value="<?php echo $nomeComum; ?> " /> 
 <?php echo $idEspecie;?>
 </td>
 </td>
 <td>
 Científico:<input type="text" size="45" name="nomeCientifico" maxlength="110"  value="<?php echo $nomeCientifico; ?>" />
 </td>
 



  
</tr>
 </table>
			
			<ul>

				<input type="hidden" size="7" name="idespecie"  value="<?php echo $idEspecie; ?>" />
				<li>Grupo RAS-SILAS-CONTAMINANTES
				<select name="grupo2">  
						<option><?php echo $grupo2; ?></option>
						<option> GRANDE CULTURA</option>
						<option> FORR. TROPICAL</option>
						<option> FORR. TEMPERADA</option>
						<option> FORR. LEGUMINOSA</option>
						<option> HORTICOLA</option>
						<option> ORNAMENTAL</option>
						<option> CONDIMENTO</option>
						<option> MEDICINAL</option>
						<option> FLORESTAL</option>
					</select>	Agrupar corretamente é vital para depois aparecerem os contaminantes no enquadramento correto de acordo com as IN.	
					</li>
					
				
				
																					
				
			</ul>
			
							<ul>

				<input type="hidden" size="7" name="idespecieRAS"  value="<?php echo $idEspecieRAS; ?>" />
				<li>Grupo RAS
				<select name="grupo2RAS">  
						<option><?php echo $grupo2RAS; ?></option>
						<option>FOtrop, IN 30/2008</option>
						<option>GC, IN 45/2013</option>
						<option>FOtemp, IN 44/2016</option>
						<option>HO, CO, ME e AR, IN 42/2019</option>
						<option>OR, RAS (2009)</option>
						<option>FL,Florestais RAS(2009) Intruções(2013)</option>
						<option>Café IN(35/2012)</option>
						<option>Mistura RAS(2009) Portaria MAPA(538/2022)</option>

					</select>	ESTAS LEGENDAS SAO AQUELAS PREVISTAS NA RAS(JANEIRO/2023)
					</li>
					
				<li class="center">
				<!--<input type="submit" name="tratamentoFrequente" value="Tratamento mais frequente desta espécie" />-->
				<input type="button" onclick="location.href='?m=habilitaespecie&t=listaEspecies'" value="Voltar/Outra espécie" />
				<input type="submit" name="cadastrarespecie" value="Salvar dados" /></li>
		
																					
				
			</ul>
			
			
			
 </fieldset>
 </form>
 <?php
	break;//fim do case altera alguns dados


	case 'ajustarPadroes':
    if (post('bt_salvarPadrao') !== ""):
	   $idEspecie=post('idEspecie');
       for($i=1;$i<=$limiteCategorias;$i++):
		   $categoria2016=$categoria[$i];
		   //echo"<br>stá no salvar padrao".$categoria2016.$idEspecie;
           //precisa verificar se tem o registro ele edita e se nao tem ele insere
			$sql="select pna_id from padraonacional where pna_cod_especie=".$idEspecie."  and pna_categoria='".$categoria2016."'";
			$generica=new tabelagenerica();
			$generica->extras_select =$sql;
			$generica->selecionaCamposEspecial($generica);
            $idPNA=0; 
			while ($resgenerica= $generica->retornaDados()):
			   $idPNA=$resgenerica->pna_id;
			endwhile; 
			//vai verificar se existe
			$variavel='v'.$i;
			
		    $germinacao=$_POST[$variavel.'1'];
		    $pureza=$_POST[$variavel.'2'];
		    $tolerada=$_POST[$variavel.'3'];
		    $outrasEspecies=$_POST[$variavel.'4'];
		    $outrasCultivares=$_POST[$variavel.'5'];
		    $silvestres=$_POST[$variavel.'6'];
		    $outrasSementes=$_POST[$variavel.'7'];
		    $det1=$_POST[$variavel.'8'];
		    $det2=$_POST[$variavel.'9'];
		    $det3=$_POST[$variavel.'10'];
		    $det4=$_POST[$variavel.'11'];
		    $det5=$_POST[$variavel.'12'];
		    $det6=$_POST[$variavel.'13'];
		    $det7=$_POST[$variavel.'14'];
		    $det8=$_POST[$variavel.'15'];
		    $det9=$_POST[$variavel.'16'];
		    $det10=$_POST[$variavel.'17'];
		    $det11=$_POST[$variavel.'18'];
			/*
		    $germinacao=$_POST[$variavel.'1'];
		    $pureza=$_POST[$variavel.'2'];
		    $silvestres=$_POST[$variavel.'3'];
		    $tolerada=$_POST[$variavel.'4'];
		    $outrasEspecies=$_POST[$variavel.'5'];
		    $outrasSementes=$_POST[$variavel.'6'];
		    $outrasCultivares=$_POST[$variavel.'7'];
		    $det1=$_POST[$variavel.'8'];
		    $det2=$_POST[$variavel.'9'];
		    $det3=$_POST[$variavel.'10'];
*/


            if($idPNA==0):
			  //vai inserir
			  $sql="insert into padraonacional(pna_cod_especie,pna_categoria,pna_germinacao,pna_pureza,pna_tolerada,pna_outras_espe,pna_cultivares,pna_silvestres,pna_outras_sementes,pna_det1,pna_det2,pna_det3,pna_det4)";
		     $sql.="values('$idEspecie','$categoria2016','$germinacao','$pureza','$tolerada','$outrasEspecies','$outrasCultivares','$silvestres','$outrasSementes','$det1','$det2','$det3','$det4')";
		     $userNota = new generica();
		     $userNota->campos_valores = $sql;				 
			 $userNota->inserirEspecial($userNota);	
			 //printMSG('...Inseriu ok!','erro');		 
			else:
			  //vai editar
			  $sql="update padraonacional set pna_germinacao='$germinacao',pna_pureza='$pureza',pna_tolerada='$tolerada',pna_outras_espe='$outrasEspecies',pna_cultivares='$outrasCultivares',pna_silvestres='$silvestres',pna_outras_sementes='$outrasSementes',pna_det1='$det1',pna_det2='$det2',pna_det3='$det3',pna_det4='$det4',pna_det5='$det5',pna_det6='$det6',pna_det7='$det7',pna_det8='$det8',pna_det9='$det9',pna_det10='$det10',pna_det11='$det11',pna_det12='$det12',pna_det13='$det13',pna_det14='$det14',pna_det15='$det15' where pna_id=".$idPNA. " and pna_cod_especie=" . $idEspecie ;
		     $userNota = new generica();
		     $userNota->campos_valores = $sql;				 
			 $userNota->inserirEspecial($userNota);	
			 //printMSG('Alterou ok!','erro');		 
			endif;
			
			//echo("texto  l469 sql= $sql <br>");
	   endfor;//varre as categorias   
	   printMSG('Ok. Salvou padrões!','aviso');	
	   
	endif;//testa o botao salvar padrao
	
	
	
        //echo("esta em alteracao de dados");	
        if (get('esp_id') !== ""):
	        $idEspecie = get('esp_id');
			//echo("aqui pega o esp_id $idEspecie <br>");
	        $sessao->setVar('idEspecie',$idEspecie);
	        //captura dados da especie
			    $user = new especies();
				$user->extras_select = "where  esp_id=".$idEspecie ;
                $user->selecionaTudo($user);
                while ($res = $user->retornaDados()):
                    $nomeComum=$res->esp_nome;
                    $nomeCientifico=$res->esp_nome_cientifico;
					//echo("Espécie: $nomeComum<br>");
					//echo("Científico: $nomeCientifico<br>");
                endwhile;      
		endif;//fecha o isset da recepcao de id	
		

		
		
 
	  ?>
	  <h2>Ajustar os padrões da espécie <?php echo $nomeComum.$idEspecie;?></h2>
	  <form class="userform" method="post" action="">
	  
            <fieldset>
                <legend>Informe os dados, depois clique salvarxxx.</legend>
			    <table width="150">
				<!--SE FOR LIMAGRAIN TEM VARIOS PADORES A MAIS-->
                <?php if($cliente=='LIMAGRAIN'):?>
                <tr>
				<td>-</td> <td>%</td><td>%</td><td>SEMENTE</td><td>SEM, DE</td><td>Max</td><td>SEM.</td><td>%</td><td>Interno</td><td>Interno</td><td>Interno</td><td>Interno</td><td>Interno</td><td>Interno</td><td>Interno</td><td>Interno</td><td>Interno</td><td>Interno</td><td>Interno</td>

				</tr>  
                <tr>
				<td>-</td> <td>GERM</td><td>SEM.</td><td>NOCIVA</td><td>OUTRA</td><td>Outras</td><td>SILVES</td><td>OUTRAS.<td>INF-8</td><td>GER-9</td><td>BIO-10</td><td>CANT-11</td><td>PUR-12</td><td>ADV-13</td><td>ELI1-14</td><td>FRI-15</td><td>TZO-16</td><td>ELI2-17</td><td>Vago</td>

				</tr>  
                <tr>
				<td>-</td> <td>MIN</td><td>PURA</td><td>TOLER</td><td>ESPÉCIE</td><td>cultiv</td><td></td><td>SEMEN</td><td>.</td><td>.</td><td>.</td><td>.</td>

				</tr>
                <tr>
				<td>-</td> <td> </td><td></td><td> </td><td>CULTIV</td><td>.</td><td></td><td></td><td>.</td><td>.</td><td>.</td><td>.</td>

				</tr>  
				<?php else:?>
                <tr>
				<td>-</td> <td>%</td><td>%</td><td>SEMENTE</td><td>SEM, DE</td><td>Max</td><td>SEM.</td><td>%</td><td>Inf.</td><td>VC</td><td>TZ</td><td>BVI</td>

				</tr>  
                <tr>
				<td>-</td> <td>GERM</td><td>SEM.</td><td>NOCIVA</td><td>OUTRA</td><td>Outras</td><td>SILVESTRE</td><td>OUTRAS.</td><td>.</td><td>.</td><td>.</td><td>.</td>

				</tr>  
                <tr>
				<td>-</td> <td>MIN</td><td>PURA</td><td>TOLERADA</td><td>ESPÉCIE</td><td>cultivares</td><td></td><td>SEMENTES</td><td>.</td><td>.</td><td>.</td><td>.</td>

				</tr>
                <tr>
				<td>-</td> <td> </td><td></td><td> </td><td>CULTIVADA</td><td>.</td><td></td><td></td><td>.</td><td>.</td><td>.</td><td>.</td>

				</tr>  
                <?php
                endif;//SE NAO FOR LIMAGRAI
				
				for($i=1;$i<=$limiteCategorias;$i++):
				    echo "<tr>";
					echo"<td>".$categoria[$i]."</td>";
					$vetorPadrao=$objetocalculo->padraoNacional2016($idEspecie,$categoria[$i]);
					for($j=1;$j<=18;$j++):
                      $variavel='v'.$i.$j;
					  ?>				
                      <td><input type="text" size="1" name="<?php echo $variavel; ?>"  value="<?php echo $vetorPadrao[$j]; ?>" /></td>
                      <?php
				      //if($j==11)echo 'k11k'. $vetorPadrao[$j];
		    		endfor;//fecha o for da variavel $j das colunas                
				    echo "</tr>";
     			endfor;//fecha o for da variavel $i da linhas                
                ?>

				</table>




                <ul>
 
                    <input type="text" size="7" name="idEspecie"  value="<?php echo $idEspecie; ?>" />
                    <li class="center">

					<input type="button" onclick="location.href='?m=habilitaespecie&t=listaEspecies'" value="Cancelar/Outra Especie" />
					<input type="submit" name="bt_salvarPadrao" value="Salvar Padrao" /></li>
					<li>
Legendas auxiliares:
					
					</li>
					<li>
O.ESPE=Outras espécies     O.CULT=Outras cultivares     O.SEM.=% do outras sementes     BVI=Broca viva no café ELI1=Teste Elisa(90sementes)   ADV=Semente adventícia  ELI2=Teste Elisa(360sementes)
					
					</li>
					<li>
Outros:
					
					</li>


                </ul>
            </fieldset>
        </form>
<?php
	break;




	

    case 'listaEspecies':
        echo '<h2>Espécies HABILITADAS, com seus pesos mínimos para análise(RAS)</h2>';
		echo("Orientação:1- Clicar no link(1) para abrir a sub-tela de edição dos dados da RAS.<br>");
		echo("Orientação:2- Clicar no link(2) para abrir a tela onde edita os padrões da espécie.<br>");
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "400px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Espécie(1)</th><th>Nome científico</th><th>Grupo RAS</th><th>Pureza</th><th>DOSN</th><th>Nociva</th><th>OCV</th><th>Praga</th><th>GP</th><th>Ensaios(Ana)</th><th>Ensaios(Reana)</th><th>Padrões(2)</th>
                </tr>
            </thead>
            <tbody>
                <?php 
                $user = new especieshabilita();
				$user->extras_select = "where  hae_id_labo=".$idLabo." && hae_cod_especie=esp_id  order by esp_nome";
                $user->selecionaTudo($user);
                while ($res = $user->retornaDados()):
                    echo '<tr>';
 				    printf('<td>%s',$res->esp_nome);
					printf('
					<a href="?m=habilitaespecie&t=alteraralgunsdados&esp_id=%s" title="Selecionar"><img src="images/edit.png" alt="Selecionar" /></a>
					</td>',$res->esp_id);
                    printf('<td>%s</td>',$res->esp_nome_cientifico);
                    printf('<td>%s</td>',$res->esp_tipo);
                    printf('<td>%s</td>',$res->esp_min_pureza);
                    printf('<td>%s</td>',$res->esp_min_dosn);
                    printf('<td>%s</td>',$res->esp_min_nocivas);
                    printf('<td>%s</td>',$res->esp_min_ocv);
                    printf('<td>%s</td>',$res->esp_min_praga);
                    printf('<td>%s</td>',$res->esp_grupo_preco);
                    printf('<td>%s</td>',$res->esp_ensaios_analise);
                    printf('<td>%s</td>',$res->esp_ensaios_reanalise);
					printf('<td class="center">
					<a href="?m=habilitaespecie&t=ajustarPadroes&esp_id=%s" title="Selecionar"><img src="images/edit.png" alt="Selecionar" /></a>
					</td>',$res->esp_id);

                    echo '</tr>';
                endwhile;                
                ?>
            </tbody>
        </table>
		<br>Orientação:Os campos em verde são específicos do LABORATÓRIO, e os demais nao são, pois vem da RAS. 
		<br>Orientação:Para que apareça na lista apenas as espécies que realmente serão analisadas no laboratório, precisa 
		<br>habilitar a espécie. Para adicionar outra espécie nesta lista de espécies habilitadas, clique em <input type="button" onclick="location.href='?m=habilitaespecie&t=listaGeral'" value="Lista de todas as espécies" />
		<br>GP=Grupo na tabela de preços (A,B,C,D,E).
		
  
        <?php        
    break;

	

	

	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>